Bug 214893 - Review Request: sipp - SIP test tool / traffic generator
Review Request: sipp - SIP test tool / traffic generator
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-09 16:30 EST by Peter Lemenkov
Modified: 2015-03-28 14:38 EDT (History)
0 users

See Also:
Fixed In Version: sipp-3.3-6.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-13 06:22:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jeff: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2006-11-09 16:30:37 EST
Spec URL: http://lemenkov.newmail.ru/SPECS/sipp.spec
SRPM URL: http://lemenkov.newmail.ru/SRPMS/sipp-1.0-0.src.rpm

Description: 
SIPp is a free Open Source test tool / traffic generator for the SIP protocol.
It includes a few basic SipStone user agent scenarios (UAC and UAS) and 
establishes and releases multiple calls with the INVITE and BYE methods. It 
can also reads custom XML scenario files describing from very simple to 
complex call flows. It features the dynamic display of statistics about 
running tests (call rate, round trip delay, and message statistics), periodic 
CSV statistics dumps, TCP and UDP over multiple sockets or multiplexed with 
retransmission management and dynamically adjustable call rates.
Comment 1 Jeffrey C. Ollie 2006-11-16 13:25:50 EST
First of all, the RPM that you supplied needs to BR ncurses-devel or it won't
build in mock.  Second, is there are reason that you didn't package 1.1rc6? 
Version 1.0 is quite old and it looks like there is quite a long time between
1.1rc releases - almost six months between rc5 and rc6.  I don't follow sipp
development so I don't know why it's taking them so long to make a non-"rc" release.
Comment 2 Jeffrey C. Ollie 2006-11-22 11:25:27 EST
Any updates?
Comment 3 Peter Lemenkov 2006-11-22 14:12:37 EST
Yes, there are some.
First, I updated packate to version 1.1rc6. So far I faced the "correct
numbering" problem - 1.1rc6 isn't a correct name. Should we name it in some
different manner, for example 1.1-0.rc6.1?

Another one thing worth to mention is a clause in LICENSE.txt. Looks like some
part of package distributed covered by different license (BSD variant?).

I added another two BR: openssl-devel and libpcap-devel (they're significantly
increase functionality, for example digest authentication in scenarios).

Another one add-on is patch which fixes this package's buildscripts.

http://lemenkov.newmail.ru/SPECS/sipp.spec
http://lemenkov.newmail.ru/SRPMS/sipp-1.1rc6-0.src.rpm
Comment 4 Peter Lemenkov 2006-12-21 16:04:14 EST
Version 1.1.rc8

http://lemenkov.newmail.ru/SPECS/sipp.spec
http://lemenkov.newmail.ru/SRPMS/sipp-1.1-0.rc8.src.rpm

changed naming scheme.
Comment 5 Jeffrey C. Ollie 2007-01-05 00:16:56 EST
Peter, sorry it's taken so long to do this review:

* source files match upstream
94bddbc6def599ed59c87fdd9edf5486  sipp-1.1rc8.src.tar.gz
94bddbc6def599ed59c87fdd9edf5486  sipp-1.1rc8.src.tar.gz.1
* package meets naming and packaging guidelines (except as noted below).
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
X compiler flags are not appropriate.
* %clean is present.
* package builds in mock (fc6 i386).
* package installs properly. 
* rpmlint is silent:
* %check is not present; There is no test code in the districution.
* no shared libraries are present
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers
* no unversioned .so file
* no pkconfig file
* no libtool .la droppings.

Suggestions:

* Package README.txt, MEDIA.txt, and the contents of the pcap
  directory as %doc.

Blockers:

* The code is not built using the standard compiler flags.  Modifying
  the build section to look like this will build the package with the
  proper flags:

DEBUG_FLAGS="%{optflags}" %{__make} %{?_smp_mflags} pcapplay_ossl

  The compile produces a lot of warning flags, but it completes and
  produces an executable.

  However, once I compiled sipp with the standard compiler flags the
  buffer overflow checking code is triggered when I run the following
  commands in separate windows (as a non-root user):

sipp -sn uac -i 127.0.0.1 127.0.0.1
sipp -sn uas -i 127.0.0.1

  That seems very bad to me... probably something to diecuss with the
  upstream authors.
Comment 6 Peter Lemenkov 2007-05-20 08:28:56 EDT
> * Package README.txt, MEDIA.txt, and the contents of the pcap
>  directory as %doc.

Done.
I packaged pcap and its contents in %{_datadir}.

> * The code is not built using the standard compiler flags.  Modifying
>  the build section to look like this will build the package with the
>  proper flags:

Done.

http://lemenkov.googlepages.com/sipp.spec
http://lemenkov.googlepages.com/sipp-2.0-1.src.rpm
Comment 7 Jeffrey C. Ollie 2007-06-01 22:56:05 EDT
Peter, thanks for hanging in with me.  Ok, it's looking good, except for
/usr/share/sipp is not owned anymore.  Fix that up before you import and this
package is APPROVED.
Comment 8 Peter Lemenkov 2007-06-06 01:06:00 EDT
Done.

New Package CVS Request
=======================
Package Name: sipp
Short Description: SIP test tool / traffic generator
Owners: lemenkov@gmail.com
Branches: FC-6 F-7
InitialCC: lemenkov@gmail.com
Comment 9 Jason Tibbitts 2007-06-06 13:12:47 EDT
CVS done, except that I can't quite understand why you'd want to be in initialcc
if you're the owner so I left that field blank.
Comment 10 Peter Lemenkov 2007-07-24 04:57:59 EDT
Package Change Request
======================
Package Name: sipp
New Branches: EL-4 EL-5
Comment 11 Jens Petersen 2007-07-24 10:53:26 EDT
added
Comment 12 Peter Lemenkov 2015-03-09 02:36:16 EDT
Package Change Request
======================
Package Name: sipp
New Branches: epel7
Comment 13 Jon Ciesla 2015-03-09 09:23:43 EDT
Owner not specified.
Comment 14 Peter Lemenkov 2015-03-09 09:35:28 EDT
(In reply to Jon Ciesla from comment #13)
> Owner not specified.

Sorry!

Package Change Request
======================
Package Name: sipp
New Branches: epel7
Owners: peter
Comment 15 Jon Ciesla 2015-03-09 09:59:43 EDT
Git done (by process-git-requests).
Comment 16 Fedora Update System 2015-03-09 11:01:20 EDT
sipp-3.3-6.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/sipp-3.3-6.el7
Comment 17 Fedora Update System 2015-03-28 14:38:28 EDT
sipp-3.3-6.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.